import { T_Quest_Certification } from '../types/T_Quest_Certification';
import { T_Topic_Skill } from "../types/T_Topic_Skill";
import { T_Programming_Language } from "../types/T_Programing_language";
export declare class Codingamer {
    public_handle: string;
    pseudo: string | undefined;
    level: number | undefined;
    xp: number | undefined;
    xp_cumulative: number | undefined;
    xp_threshold: number | undefined;
    rank: number | undefined;
    rank_title_id: number | undefined;
    rank_title_threshold: number | undefined;
    id: number | undefined;
    avatar_id: number | undefined;
    cover_id: number | undefined;
    country_id: string | undefined;
    school_id: number | undefined;
    company: string | undefined;
    city: string | undefined;
    category: string | undefined;
    codingamer_points: number | undefined;
    achievement_count: number | undefined;
    quest_certifications: T_Quest_Certification[] | undefined;
    topic_skills: T_Topic_Skill[] | undefined;
    programming_languages: T_Programming_Language[] | undefined;
    achievements: T_Achivement[] | undefined;
    following_ids: number[] | undefined;
    follower_ids: number[] | undefined;
    constructor(public_handle: string);
    update_all(abord_signal?: AbortSignal): Promise<void>;
    update_basic_data(abord_signal?: AbortSignal): Promise<void>;
    update_quest_certifications(abord_signal?: AbortSignal): Promise<void>;
    update_follower_ids(abord_signal?: AbortSignal): Promise<void>;
    update_following_ids(abord_signal?: AbortSignal): Promise<void>;
    update_topic_skills(abord_signal?: AbortSignal): Promise<void>;
    update_programming_languages(abord_signal?: AbortSignal): Promise<void>;
    update_achievements(abord_signal?: AbortSignal): Promise<void>;
    get avatar_url(): string | undefined;
    get cover_url(): string | undefined;
}
//# sourceMappingURL=Codingamer.d.ts.map