var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { Codingame_API_Exeption } from "../Codingamer_Exeption";
export function __fetch_follower_ids(user_id, signal) {
    return __awaiter(this, void 0, void 0, function* () {
        try {
            const res = yield fetch("https://www.codingame.com/services/CodinGamer/findFollowerIds", {
                "headers": {
                    "accept": "application/json, text/plain, */*",
                    "accept-language": "en-US,en;q=0.9",
                    "content-type": "application/json;charset=UTF-8",
                    "sec-ch-ua": "\"Not A(Brand\";v=\"99\", \"Google Chrome\";v=\"121\", \"Chromium\";v=\"121\"",
                    "sec-ch-ua-mobile": "?0",
                    "sec-ch-ua-platform": "\"Linux\"",
                    "sec-fetch-dest": "empty",
                    "sec-fetch-mode": "cors",
                    "sec-fetch-site": "same-origin"
                },
                "referrer": "https://www.codingame.com/profile/961697f63a0daf0d4649a6f1c368acf81098515",
                "referrerPolicy": "strict-origin-when-cross-origin",
                "body": `[${user_id}]`,
                "method": "POST",
                "mode": "cors",
                "credentials": "include",
                signal
            });
            if (!res.ok)
                throw new Codingame_API_Exeption(`fetch_follower_ids error with status ${res.status}`, "fetch_follower_ids response_not_ok", "response_not_ok", "fetch_follower_ids");
            return yield res.json();
        }
        catch (error) {
            if (error instanceof DOMException && error.name === "TimeoutError")
                throw new Codingame_API_Exeption(`fetch_follower_ids timeout`, "fetch_follower_ids timeout", "timeout", "fetch_follower_ids");
            throw error;
        }
    });
}
//# sourceMappingURL=__fetch_follower_ids.js.map