var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { Codingamer } from "../Codingamer/Codingamer";
import { Codingame_API_Exeption } from "../Codingamer_Exeption";
export function get_codingamer_by_url(profile_url) {
    return __awaiter(this, void 0, void 0, function* () {
        if (typeof profile_url !== "string" || !profile_url.startsWith("https://www.codingame.com/profile/"))
            throw new Codingame_API_Exeption("get_codingamer_by_url : bad profile url, need starts with https://www.codingame.com/profile/", "get_codingamer_by_url : bad_argument", "bad_argument", "get_codingamer_by_url");
        const public_handler = profile_url.split("https://www.codingame.com/profile/")[1];
        const codingamer = new Codingamer(public_handler);
        yield codingamer.update_all();
        return codingamer;
    });
}
//# sourceMappingURL=get_codingamer_by_url.js.map